=== debian/control ===
Source: ros-foxy-moveit-ros-occupancy-map-monitor
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-eigen3-cmake-module, ros-foxy-geometric-shapes, ros-foxy-moveit-common, ros-foxy-moveit-core, ros-foxy-moveit-msgs, ros-foxy-octomap, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-ros-occupancy-map-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-foxy-eigen3-cmake-module, ros-foxy-geometric-shapes, ros-foxy-moveit-core, ros-foxy-moveit-msgs, ros-foxy-octomap, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: Components of MoveIt connecting to occupancy map
